SkyModelMetadata
- class ska_sdp_datamodels.global_sky_model.SkyModelMetadata(version: str, catalogue_name: str, uploaded_at: str, description: str | None = None, author: str | None = None, reference: str | None = None, notes: str | None = None, freq_min_hz: float | None = None, freq_max_hz: float | None = None, query_parameters: dict | None = None)
Bases:
objectMetadata describing a single version of a single catalogue containing sky model data.
This represents both the GSM database set up and the metadata loaded from an LSM file.
Attributes
- versionstr
Catalogue version identifier. Semantic versioning is recommended.
- catalogue_namestr
Name of the catalogue.
- uploaded_atstr
Time stamp when the catalogue was uploaded to the system.
- descriptionstr, optional
Description of the catalogue. Default: None.
- authorstr, optional
Author or team name responsible for the catalogue. Default: None.
- referencestr, optional
DOI, URL, or citation for the catalogue. Default: None.
- notesstr, optional
Additional free-form notes or comments. Default: None.
- freq_min_hzfloat, optional
Minimum frequency of the observation band [Units: Hz]. Default: None.
- freq_max_hzfloat, optional
Maximum frequency of the observation band [Units: Hz]. Default: None.
- query_parametersdict, optional
Dictionary of query parameters that generated the given LSM data set. (Not used for uploading GSM/defining data.) Default: None.
Attributes Summary
Attributes Documentation